Debian Bug report logs - #455825
mknod(2): note needs more explanation

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Reuben Thomas <rrt@sc3d.org>

Date: Wed, 12 Dec 2007 00:51:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages/2.67-1

Fixed in version manpages/2.73-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#455825; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Reuben Thomas <rrt@sc3d.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Reuben Thomas <rrt@sc3d.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mknod(2): note needs more explanation
Date: Wed, 12 Dec 2007 00:49:44 +0000
Package: manpages-dev
Version: 2.67-1
Severity: normal

"One should make directories with mkdir(2), and FIFOs with mkfifo(3)."

The first part of this is fine, but I don't understand the second
part. Just above, it says: "The only portable use of mknod() is to
create a FIFO-special file."

Hence, it seems that not only can mknod be used to create FIFOs on
Linux, but it can be used on any POSIX 2001 system!

If there's some reason why mkfifo should be used nonetheless, it
should be explained here.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (700, 'testing'), (600, 'experimental'), (600, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages manpages-dev depends on:
ii  manpages                      2.67-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#455825; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk.manpages@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 455825@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@googlemail.com>
To: Reuben Thomas <rrt@sc3d.org>, 455825@bugs.debian.org
Cc: debc <control@bugs.debian.org>
Subject: Re: Bug#455825: mknod(2): note needs more explanation
Date: Fri, 14 Dec 2007 09:48:45 +0100
tags 455825 fixed-upstream
thanks

Fixed for upstream 2.73.

Reuben Thomas wrote:
> Package: manpages-dev
> Version: 2.67-1
> Severity: normal
> 
> "One should make directories with mkdir(2), and FIFOs with mkfifo(3)."
> 
> The first part of this is fine, but I don't understand the second
> part. Just above, it says: "The only portable use of mknod() is to
> create a FIFO-special file."
> 
> Hence, it seems that not only can mknod be used to create FIFOs on
> Linux, but it can be used on any POSIX 2001 system!
> 
> If there's some reason why mkfifo should be used nonetheless, it
> should be explained here.

I agree that the text can be better ordered, and worded.  I've changed
these paras to read:

       POSIX.1-2001  says:  "The only portable use of mknod() is
       to create a FIFO-special file.  If mode is not S_IFIFO or
       dev  is  not  0, the behavior of mknod() is unspecified."
       However, nowadays one should never use mknod()  for  this
       purpose;  one should use mkfifo(3), a function especially
       defined for this purpose.

       Under Linux, this call cannot be used to create  directo-
       ries.  One should make directories with mkdir(2).

Cheers,

Michael

-- 
Michael Kerrisk
Maintainer of the Linux man-pages project
http://www.kernel.org/doc/man-pages/
Want to report a man-pages bug?  Look here:
http://www.kernel.org/doc/man-pages/reporting_bugs.html






Tags added: fixed-upstream Request was from Michael Kerrisk <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Fri, 14 Dec 2007 08:48:39 GMT) Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Reuben Thomas <rrt@sc3d.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 455825-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 455825-close@bugs.debian.org
Subject: Bug#455825: fixed in manpages 2.73-1
Date: Wed, 23 Jan 2008 12:32:03 +0000
Source: manpages
Source-Version: 2.73-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.73-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.73-1_all.deb
manpages_2.73-1.diff.gz
  to pool/main/m/manpages/manpages_2.73-1.diff.gz
manpages_2.73-1.dsc
  to pool/main/m/manpages/manpages_2.73-1.dsc
manpages_2.73-1_all.deb
  to pool/main/m/manpages/manpages_2.73-1_all.deb
manpages_2.73.orig.tar.gz
  to pool/main/m/manpages/manpages_2.73.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 455825@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 23 Jan 2008 13:02:43 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.73-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 455825
Changes: 
 manpages (2.73-1) unstable; urgency=low
 .
   * New upstream version
     .  Clarify use of mkfifo() versus mknod() in mknod(2) (closes: Bug#455825)
Files: 
 c0e906b3fd78788bed5f911030d33d01 584 doc important manpages_2.73-1.dsc
 fa628e8a98b242c9b9bacc8e676b451a 1271973 doc important manpages_2.73.orig.tar.gz
 cec2a5c186ffeff360a719133095fc53 53853 doc important manpages_2.73-1.diff.gz
 4e460983d5bf74be704647d358f8341c 544510 doc important manpages_2.73-1_all.deb
 7308f89f32531984ce5c5a872d9e1c04 1372374 doc optional manpages-dev_2.73-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHly/mW5ql+IAeqTIRApGgAKCUxYBYMj3QHiJe6+xQDeq1R6GGmACgqair
rFg/sH20J4lbqrGrHzNbUFA=
=4sJc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Feb 2008 07:27:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:41:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.